Subject: RE: using Cigwin as build-environment for CL.EXE
From: "Kevin Wright" <[email-masked]>
To: "Wilfried Goesgens" <[email-masked]>
Cc: "Cygwin-Mailing-List" <[email-masked]>
Date: Thu, 15 Feb 2001 18:41:24 -0700

Willi,

There's a recent book out called GNU Autoconf, Automake, and Libtool. 
You can get it from newriders.com or you can read it online:
http://sources.redhat.com/autobook/ 

In chapter 25. Using GNU Autotools with Cygnus Cygwin, you'll find a 
long discussion on this subject. However, this is mostly related to using 
the gcc compiler not the cl.exe (why would you want to do that? :-)

So, the answer is that yes, some people use Cygwin with libtool. And, if
you need a newer version of it or the other gnu autotools, you can go to 
the gnu website and download them. If you really want to live on the edge, 
you can get the latest from the cvs source. http://www.gnu.org/software/

Regarding building apache, I (and many others on this list) have built
it under cygwin. Search the mail archives for more details. 
http://cygwin.com/ml/cygwin/

HTH, 

--Kevin

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Wilfried Goesgens
> Sent: Thursday, February 15, 2001 2:36 AM
> To: cygwin
> Subject: using Cigwin as build-environment for CL.EXE
> 
> 
> Hello everybody,
> I've been playing around with Autoconf+ -make+ libtool thingi   
> for a while with the final target to get binaries using cl.exe.
> 
> On the Net, I found a project called coin (http://www.coin3d.org) doing
> things as I imagined to do.
> They have several M4-Macros for this stuff and a bash-wrapper-script
> for cl.exe which works quite well.
> Sadly, I need a Self-Hosting environment, and these guys use verry
> recent versions of Autoconf + -make + Libtool, more recent than included
> in the Distribution, so bootstrapping that thingi fails.
> 
> I was looking around searching how the existing Autoconf+ -make were
> build, but didn't find it. So my Question is :
> 
> * Which comandline options did you suply the existing Autoconf-Configure
> 
> * Besides the Libtool-Mailinglist I didn't find any rumors about people
>   using Cygwin+Libtool, what's the position about that?
> 
> * I didn't find Documents on How to build these tgz's and let Setup.exe
>   install my own Packages
>   (or should I just throw it all over the Place and am I just to
>    debianized?)
> 
> my primary goals would be things like getting the New Apache
> compiled by using configure+make instead of using this Mouse-moving-stuf
> suplied by M$...
> 
> 
> Tia, Willi
> 
> --
> Want to unsubscribe from this list?
> Check out: http://cygwin.com/ml/#unsubscribe-simple
> 
> 

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple